//  Beispiel 6.6.1 "WLAN CLient mit OLED"
//  
//  Unter Verwendung der IoT Brick Library

#include <all_IoT.h>

void setup()
{
  IoT_Init(true);                                                 // IoT Brick initialiseren
  IoT_WLANconnect("(Hotspot Name)", "(Hotspot Password)");
}

void loop()
{
  IoT_DisplayClear(10);                                           // OLED Display löschen (10 Punkt Schrift)
  String state = IoT_WLANstatus();                                // Verbindungsstatus
  if (IoT_WLANinited)                                             // Falls WLAN Verbindung erfolgreich, Status & IP im OLED Display anzeigen
  {
    IoT_DisplayDrawText(5, 0, "WLAN: " + IoT_WLANssid());         // WLAN Netzwerk Name
    if (state == "Connected")                                     // Wenn erfolgreich verbunden, dann Signalstärke hinzufügen
    {
      state = state + " (" + str(IoT_WLANrssi()) + "dBm)";        // Signalstärke
    }
    IoT_DisplayDrawText(5, 10, state);                            // Verbindungsstatus & Signalstärke
    IoT_DisplayDrawText(5, 20, "IP: " + IoT_WLANaddress(true));   // IP Adresse
    IoT_DisplayDrawText(5, 30, "GW: " + IoT_WLANgateway(true));   // IP Gateway
    IoT_DisplayDrawText(5, 40, "NT: " + IoT_WLANsubnet(true));    // IP Subnetzmaske
  }
  else                                                            // Falls WLAN Verbindung gescheitert ist, Status im OLED Display anzeigen
  {
    IoT_DisplayDrawText(5, 10, state); 
  }
  IoT_DisplayUpdate();                                            // OLED-Anzeige aktualisieren
  delay(1000);                                                    // 1 Sekunde warten
}

